Page MenuHomePhabricator

Apply: Add primary key to pagetriage_page_tags
Closed, ResolvedPublic

Description

Once T243073: Add primary key to pagetriage_page_tags is merged, the alters will need to be run on WMF wikis

  1. ALTERs to run: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageTriage/+/567390/7/sql/PageTriagePageTagsPatch-pk.sql[1]
  2. Where to run those changes: testwiki, test2wiki, enwiki[2]
  3. When to run those changes: Whenever is convenient
  4. If the schema change is backwards compatible: Yes (converts unique index to primary key)
  5. If the schema change has been tested already on some of the test/beta wikis: Not yet
  6. If the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public.
[1] Alter
ALTER TABLE /*_*/pagetriage_page_tags
DROP INDEX /*i*/ptrpt_page_tag_id,
ADD PRIMARY KEY (ptrpt_page_id,ptrpt_tag_id);
[2] wmgEnablePageTriage
'wmgEnablePageTriage' => [
	'default' => false,
	'testwiki' => true,
	'test2wiki' => true,
	'enwiki' => true,
],

Schema change progress:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 changed the task status from Open to Stalled.Jan 28 2020, 12:07 AM
DannyS712 moved this task from Unsorted to Page Curation on the User-DannyS712 board.

Stalling until T243073 is resolved

DannyS712 changed the task status from Stalled to Open.Jan 28 2020, 12:32 AM

Patch merged, ready for dba

Marostegui moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.

Mentioned in SAL (#wikimedia-operations) [2020-02-04T08:13:46Z] <marostegui> Deploy schema change on test2wiki - T243804

Mentioned in SAL (#wikimedia-operations) [2020-02-04T08:16:44Z] <marostegui> Deploy schema change on testwiki - T243804

Marostegui triaged this task as Medium priority.Feb 4 2020, 8:17 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-02-04T08:46:33Z] <marostegui> Deploy schema change on enwiki codfw - T243804

eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1139
  • db1134
  • db1124
  • db1119
  • db1118
  • db1107
  • db1114
  • db1106
  • db1105
  • db1099
  • db1089
  • db1083
  • db1080

Mentioned in SAL (#wikimedia-operations) [2020-02-04T08:56:45Z] <marostegui> Deploy schema change on enwiki eqiad host by host - T243804

Marostegui updated the task description. (Show Details)

All done